<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateImagePhotosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('image_photos', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('parent_id');
            $table->integer('class');
            $table->integer('kind');
            $table->string('memo', 150)->nullable();
            $table->integer('disp');
            $table->string('mime',50)->nullable();
            $table->binary('data')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('image_photos');
    }
}
